%Adjust2
Map2=zeros(size(Map));

for i=1:size(Map2,1);
   r = (i*m.dr);
   prevr = ((i-1)*m.dr);
   A = pi*r^2;
   prevA = pi*prevr^2;
   Vol=abs((A-prevA)*m.dgz);
   v(i)=Vol;
   
   for j=1:size(Map2,2);
      Map2(i,:)=Map(i,:)./Vol;
   end;
end;

Map2=[flipud(Map2);Map2(2:size(Map2,1),:)];
contour(log(Map2));